import type { Topic } from './types';
export type ApiVersion = '2020-10' | '2021-01' | '2021-04' | '2021-07' | '2021-10' | '2022-01' | '2022-04' | '2022-07' | '2022-10' | 'unstable' | 'unversioned' | (string & {});
export declare enum DeliveryMethod {
    Http = "http",
    EventBridge = "eventbridge"
}
export interface Options {
    topic: Topic;
    address: string;
    shop: string;
    accessToken: string;
    apiVersion: ApiVersion;
    includeFields?: string[];
    deliveryMethod?: DeliveryMethod;
}
export declare function registerWebhook({ address, topic, accessToken, shop, apiVersion, includeFields, deliveryMethod, }: Options): Promise<{
    success: boolean;
    result: any;
}>;
//# sourceMappingURL=register.d.ts.map